package ro.pub.cs.pp.a51hadoop.algorithm.a51;

public class A51Constants
{
	/*
	 * which bits of a 32bit variable actually play a role
	 */
	public final static int R_mask[] =
	{
		/* 19 bits, numbered 0..18 */
		0x07FFFF,
		/* 22 bits, numbered 0..21 */
		0x3FFFFF,
		/* 23 bits, numbered 0..22 */
		0x7FFFFF,
	};


	/* Middle bit of each of the shift registers */
	public final static int R_middle_pos[] =
	{
		8,
		10,
		10,
	};


	/* Feedback taps. */
	public final static int R_feedback_taps[] =
	{
		(1 << 13) | ( 1 << 16) | (1 << 17) | ( 1 << 18),
		(1 << 20) | ( 1 << 21),
		(1 <<  7) | ( 1 << 20) | (1 << 21) | ( 1 << 22),
	};


	/* Output taps. */
	public final static int R_output_taps[] =
	{
		18,
		21,
		22,
	};
}
